
__shellfu_doc() {
    local cur prev opts
    COMPREPLY=()
    cur="${COMP_WORDS[COMP_CWORD]}"
    prev="${COMP_WORDS[COMP_CWORD-1]}"
    args="--help --debug --include --ls --lsmod --lsfun --lsvar --export"
    COMPREPLY=(
        $(compgen -W "$args" -- ${cur})
    )
}

__shellfu_get() {
    local cur prev opts
    COMPREPLY=()
    cur="${COMP_WORDS[COMP_CWORD]}"
    prev="${COMP_WORDS[COMP_CWORD-1]}"
    opts="--version --version-semver"
    cmds="path"

    case "$cur" in
        --*)
            COMPREPLY=(
                $(compgen -W "$opts" -- ${cur})
            )
            ;;
        *)
            COMPREPLY=(
                $(compgen -W "$cmds" ${cur})
            )
    esac
}

complete -F __shellfu_doc shellfu-doc
complete -F __shellfu_get shellfu-get
