#!/bin/bash


_pretty__debug() {
    local decor="()"
    $caller_is_main && decor=
    while IFS= read -r line;
    do notify-send -u low -a "${0##*/}" debug "debug:$caller$decor: $line"; done
}

_pretty__die() {
    while IFS= read -r line;
    do notify-send -u critical -a "${0##*/}" fatal "$line"; done
}

_pretty__mkhelp() {
    while IFS= read -r line;
    do notify-send -a "${0##*/}" help "$line"; done
}

_pretty__mkusage() {
    while IFS= read -r line;
    do notify-send -a "${0##*/}" usage "$line"; done
}

_pretty__think() {
    while IFS= read -r line;
    do notify-send -u low -a "${0##*/}" info "$line"; done
}

_pretty__warn() {
    while IFS= read -r line;
    do notify-send -a "${0##*/}" warning "$line"; done
}
